Subject: Re: How do I access nvRAM from user space?

From: David Hawkins <[email-masked]>
Date: Thu, 25 Sep 2008 08:53:38 -0700

Hi Bruce,

> Sorry for the dumb question, I just can figure out the right google search 
> to find what I'm trying to do.  I'm running 2.6.27-rc4 on an mpc8347 with 
> a 32KiB nvSRAM (Cypress CY14B256L) on the local bus.  We just want to be 
> able to access this memory from user space seperately from "main" memory. 
> We've got a process that needs to be able to remember info through power 
> cycles.  Can anyone point me to an article or some code snippet that does 
> something like this so I can sink my teeth into it?

Assuming your bootloader sets up the local bus access windows
(physical address of the SRAM) and timing so that you can
read/write to the SRAM, then once Linux boots, you should be
able to just use /dev/mem as you would to access any other
device registers at a specific address.

Cheers,
Dave